iCalendlyDeveloper Docs
Cal unified calendars

GETGet meeting details from calendar

Retrieves a specific calendar event.

GET/v2/calendars/{calendar}/event/{eventUid}

Path Parameters

calendarRequiredstring
Value in: "google"
eventUidRequiredstring

The Google Calendar event ID. You can retrieve this by getting booking references from the following endpoints:

  • For user events: GET /v2/bookings/{bookingUid}/references

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/calendars/google/event/<string>" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": {
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "id": "string",
    "title": "string",
    "description": "string",
    "locations": [
      {
        "type": "video",
        "url": "string",
        "label": "string",
        "password": "string",
        "meetingCode": "string",
        "accessCode": "string"
      }
    ],
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "string",
      "name": "string"
    },
    "source": "google"
  }
}